import { ConnectorConfig } from "@rsocket/core";
import { Auth, RsocketServer } from "./rsocket.type";
export declare class RsocketConfig {
    private readonly config;
    private readonly route;
    readonly rsocketServers: RsocketServer[];
    constructor(rsocketServers: RsocketServer[], config?: Omit<ConnectorConfig, 'transport' | 'resume'>);
    payload({ data, auth }: {
        data?: unknown;
        auth?: Auth;
    }): this;
    setAuth(auth: Auth): void;
    private buildAuthMetadata;
    getConfig(): Omit<ConnectorConfig, "transport" | "resume">;
}
